Bug 1148415 - Review Request: classads - Condor's classified advertisement language
Summary: Review Request: classads - Condor's classified advertisement language
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 12:26 UTC by František Dvořák
Modified: 2015-06-21 17:51 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-21 17:51:14 UTC
kevin: fedora-review+


Attachments (Terms of Use)

Description František Dvořák 2014-10-01 12:26:50 UTC
Spec URL: http://scientific.zcu.cz/fedora/classads-1.0.10-1/classads.spec
SRPM URL: http://scientific.zcu.cz/fedora/classads-1.0.10-1/classads-1.0.10-1.fc22.src.rpm
Description: Classified Advertisements (classads) are the lingua franca of Condor. They are used for describing jobs, workstations, and other resources. They are exchanged by Condor processes to schedule jobs. They are logged to files for statistical and debugging purposes. They are used to enquire about current state of the system.
Fedora Account System Username: valtri

* intended for EPEL 5, EPEL 6 and EPEL 7 branches
* this is re-review for retired package (some packages has been removed during pkgdb cleanups: https://lists.fedoraproject.org/pipermail/epel-devel/2014-September/010205.html)
* koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7740119

Comment 1 Kevin Fenzi 2014-10-31 17:07:24 UTC
I'll review this. Look for a full review later today.

Comment 2 Kevin Fenzi 2014-10-31 17:30:31 UTC
So, looking at this, I see that in Fedora the condor package provides a condor-classads subpackage. 
Is that the same as this? 

Are there plans to bring condor to epel? If so, should it just be provided by the subpackage? 

Or are there things that depend on this package as is?

Comment 3 František Dvořák 2014-10-31 22:22:59 UTC
Yes, the condor provides the newer version of this classads library.

There are already some external projects depending on libclassad.so.1 for EPEL 5 and EPEL6 (eu-emi.eu and egi.eu). Existing packages in EPEL 5 and 6 could be easily rebuilt, but it would be probably better to return this package as it was for EPEL 5 & 6 (using slightly newer version - classads 1.0.10).

For EPEL 7, it may be more complicated:

On Mon, 2014-09-29 at 13:28 -0500, Brian Bockelman wrote:
> Putting the condor RPM itself into EPEL was previously shot down because
> RedHat sold an overlapping product (RHEL MRG) which also provided HTCondor.
> If my fading, unreliable memory serves, this was some sort of EPEL policy
> (the intersection of the EPEL and RH repos should be the null set).

I'm not sure how strict are the policies, but koji doesn't know anything about classads/condor-classads in EPEL 7. Either way it looks like there are no plans to bring condor to EPEL.

Comment 4 Kevin Fenzi 2014-11-01 19:04:16 UTC
Thanks, that makes sense. So, I guess perhaps further pondering should be done before adding the epel7 branch. 

In the mean time I don't see any blockers here, so this package is APPROVED. 

You should be able to request the 5/6 branches be unretired. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 1 files have unknown license.
     Detailed output of licensecheck in
     /home/fedora/kevin/1148415-classads/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: classads-1.0.10-1.el6.x86_64.rpm
          classads-devel-1.0.10-1.el6.x86_64.rpm
          classads-1.0.10-1.el6.src.rpm
classads.x86_64: W: spelling-error %description -l en_US lingua -> lingual, linguine
classads.x86_64: W: spelling-error %description -l en_US franca -> francs, franc, franc a
classads.x86_64: W: spelling-error %description -l en_US enquire -> enquirer, esquire, inquire
classads.x86_64: W: spelling-error %description -l en_US classad -> classed, class ad, class-ad
classads.x86_64: W: spelling-error %description -l en_US vis -> bis, via, vi
classads.x86_64: W: spelling-error %description -l en_US Classad -> Classed, Class ad, Class-ad
classads.x86_64: W: shared-lib-calls-exit /usr/lib64/libclassad_ns.so.1.0.2 exit@GLIBC_2.2.5
classads.x86_64: W: shared-lib-calls-exit /usr/lib64/libclassad.so.1.0.2 exit@GLIBC_2.2.5
classads-devel.x86_64: W: only-non-binary-in-usr-lib
classads-devel.x86_64: W: no-documentation
classads-devel.x86_64: W: no-manual-page-for-binary classad_functional_tester
classads-devel.x86_64: W: no-manual-page-for-binary cxi_ns
classads-devel.x86_64: W: no-manual-page-for-binary classad_version_ns
classads-devel.x86_64: W: no-manual-page-for-binary classad_version
classads-devel.x86_64: W: no-manual-page-for-binary classad_functional_tester_ns
classads-devel.x86_64: W: no-manual-page-for-binary cxi
classads.src: W: spelling-error %description -l en_US lingua -> lingual, linguine
classads.src: W: spelling-error %description -l en_US franca -> francs, franc, franc a
classads.src: W: spelling-error %description -l en_US enquire -> enquirer, esquire, inquire
classads.src: W: spelling-error %description -l en_US classad -> classed, class ad, class-ad
classads.src: W: spelling-error %description -l en_US vis -> bis, via, vi
classads.src: W: spelling-error %description -l en_US Classad -> Classed, Class ad, Class-ad
3 packages and 0 specfiles checked; 0 errors, 22 warnings.


Requires
--------
classads-devel (rpmlib, GLIBC filtered):
    classads(x86-64)
    libc.so.6()(64bit)
    libclassad.so.1()(64bit)
    libclassad_ns.so.1()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpcre.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    pcre-devel
    rtld(GNU_HASH)

classads (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libclassad.so.1()(64bit)
    libclassad_ns.so.1()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpcre.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
classads-devel:
    classads-devel
    classads-devel(x86-64)

classads:
    classads
    classads(x86-64)
    libclassad.so.1()(64bit)
    libclassad_ns.so.1()(64bit)



Source checksums
----------------
ftp://ftp.cs.wisc.edu/condor/classad/c++/classads-1.0.10.tar.gz :
  CHECKSUM(SHA256) this package     : cde2fe23962abb6bc99d8fc5a5cbf88f87e449b63c6bca991d783afb4691efb3
  CHECKSUM(SHA256) upstream package : cde2fe23962abb6bc99d8fc5a5cbf88f87e449b63c6bca991d783afb4691efb3


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1148415 -m epel-6-x86_64
Buildroot used: epel-6-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 František Dvořák 2014-11-01 22:00:44 UTC
(In reply to Kevin Fenzi from comment #4)
> Thanks, that makes sense. So, I guess perhaps further pondering should be
> done before adding the epel7 branch. 
> 
> In the mean time I don't see any blockers here, so this package is APPROVED. 
> 
> You should be able to request the 5/6 branches be unretired. 
> 

Thanks for the review! I'll ask EPEL 5 and 6 for now.

Comment 6 František Dvořák 2014-11-01 22:02:13 UTC
Package Change Request
======================
Package Name: classads
New Branches: el5 el6
Owners: valtri

Comment 7 Gwyn Ciesla 2014-11-03 13:53:30 UTC
Branches exist, take ownership in pkgdb.

Comment 8 František Dvořák 2014-11-03 20:32:57 UTC
Package Change Request
======================
Package Name: classads
New Branches: el5 el6
Owners: valtri

I forgot to say the package is retired and needs to be unretired for EPEL. (Pkgdb currently doesn't allow to take ownership.) Thank you.

Comment 9 Gwyn Ciesla 2014-11-03 21:15:55 UTC
Unretired in el5 and el6.

Comment 10 Fedora Update System 2014-11-04 11:19:53 UTC
classads-1.0.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/classads-1.0.10-1.el6

Comment 11 Fedora Update System 2014-11-04 11:21:45 UTC
classads-1.0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/classads-1.0.10-1.el5

Comment 12 Fedora Update System 2014-11-20 10:45:34 UTC
classads-1.0.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-11-20 10:45:41 UTC
classads-1.0.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 František Dvořák 2015-06-21 17:51:14 UTC
Classads in EPEL 5/6 now, for EPEL 7 opened #1217148 (condor). Thanks!


Note You need to log in before you can comment on or make changes to this bug.